Skip to content

iOS Live Activities API

Apple documentation:

startLiveActivity

Anchor link to

Use this method to create iOS Live Activities.

POST https://api.pushwoosh.com/json/1.3/startLiveActivity

Allows creating iOS Live Activities.

Request body

Anchor link to
ParameterTypeRequired/OptionalDescription
applicationStringRequiredPushwoosh application code
authStringRequiredAPI access token from the Pushwoosh Control Panel.
notificationsArrayRequiredJSON array of message parameters. See details in the Notifications table below.

Notifications

Anchor link to

Parameters used in the notifications array:

ParameterTypeRequired/OptionalDescription
contentStringRequiredFallback content for devices running iOS versions below 16.1 that do not support Live Activity. On iOS 16.1+ (with Live Activity support), content is sourced from the live_activity field.
titleStringOptionalThe title of the notification message.
live_activityObjectRequiredLive Activity data to create Live Activity in iOS.
content-stateObjectRequiredContent for the Live Activity notification.
attributes-typeStringRequiredThe type of attributes used in the Live Activity.
attributesObjectRequiredAttributes for the Live Activity.
live_activity_idStringRequiredA unique ID for the Live Activity, created by the user.

200

{
"status_code": 200,
"status_message": "OK",
"response": {
"Messages": [
"C3F8-C3863ED4-334AD4F1"
]
}
}

Request example

Anchor link to
{
"request": {
"application": "XXXXX-XXXXX", // required. Pushwoosh application code
"auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel
"notifications": [{
"live_activity": { // required. Live Activity data to create Live Activity in iOS
"content-state": {
"emoji": ":wink:"
},
"attributes-type": "LiveActivityAttributes",
"attributes": {
"name": "Apple"
}
},
"live_activity_id": "unique UUID" // optional. Unique identifier of the Live Activity.
}]
}
}

Note:

Read this article to learn more about working with Live Activities using the Pushwoosh iOS SDK.

updateLiveActivity

Anchor link to

Use this method to manage iOS Live Activities.

POST https://api.pushwoosh.com/json/1.3/updateLiveActivity

Allows to create and manage iOS Live Activities.

Request body

Anchor link to
ParameterTypeRequired/OptionalDescription
authStringRequiredAPI access token from the Pushwoosh Control Panel.
applicationStringRequiredPushwoosh application code
notificationsArrayRequiredJSON array of message parameters. See details in the Notifications table below.

Notifications

Anchor link to

Parameters used in the notifications array:

ParameterTypeRequired/OptionalDescription
live_activityObjectRequiredLive Activity data to update Live Activity in iOS.
eventStringRequiredSpecifies the event type. Use "update" to update the Live Activity or "end" to close it.
content-stateObjectRequiredObject with key-value pairs used to pass data to Live Activity for updating its content.
dismissal-dateIntegerOptionalThe time (in seconds) when the Live Activity should end.
live_activity_idStringRequiredA unique identifier for the Live Activity being updated.
relevance-scoreIntegerOptionalTells the iOS system which Live Activity has higher priority than others. Accepts values from 1 to infinity (values up to 100 are recommended).
stale-dateIntegerOptionalThe time (in seconds) that represents the date at which a Live Activity becomes stale, or out of date.
{
"status_code": 200,
"status_message": "OK",
"response": {
"Messages": [
"C3F8-C3863ED4-334AD4F1"
]
}
}

Request example

Anchor link to
{
"request": {
"application": "XXXXX-XXXXX", // required. Pushwoosh application code
"auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel
"notifications": [{
"live_activity": { // required. Live Activity data to update Live Activity in iOS
"event": "update", // required. Use "update" to update Live Activity or
// "end" to close Live Activity
"content-state": { // required. Object with key-value pairs used to pass data
"courierName": "NUMBER: 15", // to Live Activity for updating its content
"deliveryStatus": "Done"
},
"dismissal-date": 12345678, // optional. Time of ending Live Activity in seconds
"relevance-score": 50, // optional. Priority for the Live Activity (1 to 100 recommended)
"stale-date": 23456789 // optional. Time (in seconds) when Live Activity becomes stale
},
"live_activity_id": "unique UUID" // optional. Unique identifier of the Live Activity.
}]
}
}

Read this article to learn more about working with Live Activities using the Pushwoosh iOS SDK.